﻿<%@ Page Language="vb" %>

<script runat="server">
  Dim Shared rand As Random = Nothing

  Private Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
	If Not IsPostBack Then ' first Load
	  rand = New Random(0)
	End If
  End Sub

  Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs)
	Dim randDelay As Integer = rand.Next(1, 6) ' [1-5]
	System.Threading.Thread.Sleep(randDelay * 1000) ' simulated server delay
	Dim x As Integer = Integer.Parse(TextBox1.Text)
	Dim y As Integer = Integer.Parse(TextBox2.Text)
	If RadioButton1.Checked Then
	  TextBox3.Text = (x + y).ToString("F4")
	ElseIf RadioButton2.Checked Then
	  TextBox3.Text = (x * y).ToString("F4")
	End If
  End Sub

</script>

<html>
  <head>
	<style type="text/css">
	 fieldset { width: 16em }
	 body { font-size: 10pt; font-family: Arial }
	</style>
	<title>Default.aspx</title>

	<script language="javascript">

		var count = 0;
		function updatePageLife() {
			++count;
			if (count == 10000) return; // stop counter after 10,000 seconds
			var tb = document.getElementById("pageLife");
			tb.value = parseInt(count);
			window.setTimeout(updatePageLife, 1000);
		}

	</script>

  </head>
  <body bgColor="#ccffff" onload="updatePageLife();">
	<h3>MiniCalc by ASP.NET with AJAX</h3>
	<form method="post" name="theForm" id="theForm" runat="server" action="Default.aspx"> 

	  <asp:ScriptManager ID="sm1" runat="server" EnablePartialRendering="true" />

	  <p><asp:Label id="Label1" runat="server">Enter integer:&nbsp&nbsp</asp:Label>
	  <asp:TextBox id="TextBox1" width="100" runat="server" /></p>
	  <p><asp:Label id="Label2" runat="server">Enter another:&nbsp</asp:Label>
	  <asp:TextBox id="TextBox2" width="100"  runat="server" /></p>
	  <p></p>
	  <fieldset>
	   <legend>Arithmentic Operation</legend>
	   <p><asp:RadioButton id="RadioButton1" GroupName="Operation" runat="server"/>Addition</p>
	   <p><asp:RadioButton id="RadioButton2" GroupName="Operation" runat="server"/>Multiplication</p>
	   <p></p>
	  </fieldset>
	  <p><asp:Button id="Button1" runat="server" text=" Calculate " onclick="Button1_Click" /> </p>

	  <asp:UpdatePanel ID="up1" runat="server">
	  <ContentTemplate>
	  <p><asp:TextBox id="TextBox3" width="120"  runat="server" />
	  </ContentTemplate>
	  <Triggers>
	  <asp:AsyncPostBackTrigger ControlID="Button1" EventName="Click" />
	  </Triggers>
	  </asp:UpdatePanel>

	</form>

	Current page life: <input type="text" id="pageLife" size="1"/> seconds
  </body>
</html>